List a campaign’s lists
Returns the lists attached to a campaign, newest first.
Parameters
Send as application/x-www-form-urlencoded.
typestringrequiredSelects the operation. Always
get_campaign_listsfor this endpoint.tokenstringrequiredYour API token from Log in. See Authentication.
ID of the campaign.
Example1024
curl https://api.dcdial.com/api/ \ -d type=get_campaign_lists \ -d token="$DCDIAL_TOKEN" \ -d campaign_id=1024<?php$ch = curl_init('https://api.dcdial.com/api/');curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_RETURNTRANSFER => true, CURLOPT_POSTFIELDS => http_build_query([ 'type' => 'get_campaign_lists', 'token' => getenv('DCDIAL_TOKEN'), 'campaign_id' => 1024, ]),]);$result = json_decode(curl_exec($ch), true);curl_close($ch);
if (($result['response']['success'] ?? 0) != 1) { throw new RuntimeException($result['response']['error'] ?? 'Request failed');}const res = await fetch('https://api.dcdial.com/api/', { method: 'POST', body: new URLSearchParams({ type: "get_campaign_lists", token: process.env.DCDIAL_TOKEN, campaign_id: "1024", }),});const { response } = await res.json();if (response.success != 1) throw new Error(response.error);import osimport requests
r = requests.post( "https://api.dcdial.com/api/", data={ "type": "get_campaign_lists", "token": os.environ["DCDIAL_TOKEN"], "campaign_id": 1024, }, timeout=30,)response = r.json()["response"]if str(response.get("success")) != "1": raise RuntimeError(response.get("error")){ "response": { "success": "1", "error": "", "campaign_lists": [ { "list_id": "2048", "list_name": "October accounts", "list_description": "Campaign Payment reminders started", "lead_count": "120", "active": "Y", "list_lastcalldate": "2026-10-15 14:02:11", "campaign_id": "1024", "campaign_name": "Payment reminders" }, { "list_id": "2048", "list_name": "October accounts", "list_description": "Campaign Payment reminders started", "lead_count": "120", "active": "Y", "list_lastcalldate": "2026-10-15 14:02:11", "campaign_id": "1024", "campaign_name": "Payment reminders" } ] }}Try it